import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, 'README.rst')) as f:
    README = f.read()


setup(name='turnipcake',
      version=0.1,
      description='turnipcake',
      long_description=README,
      classifiers=[
          "Programming Language :: Python",
          "Framework :: Pylons",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application"
      ],
      keywords="web services",
      author='',
      author_email='',
      url='',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'alembic',
          'cornice',
          'envdir',
          'pyramid_rpc',
          'pyramid_tm',
          'requests',
          'six',
          'sqlalchemy',
          'waitress',
          'zope.sqlalchemy',
          ],
      entry_points="""\
      [paste.app_factory]
      main = turnipcake:main
      """,
      paster_plugins=['pyramid'])
